### Constructor

# WPEPlatform View new

#### Declaration [src]

    WPEView*
    wpe_view_new (
      WPEDisplay* display
    )

#### Description [src]

Create a new `WPEView` for `display`.

#### Parameters

`display`

  Type: `WPEDisplay`

  A `WPEDisplay`.

  The data is owned by the caller of the function.

#### Return value

Type: `WPEView`

A `WPEView`.

The caller of the function takes ownership of the data, and is responsible for freeing it.